Get App

Retrieve details of a specific app

Get App

Retrieve detailed information about a specific app.

Endpoint

text
GET /v1/apps/{id}

Authentication

text
X-API-Key: apps_your_api_key

Path Parameters

Parameter Type Description
id string The app ID

Response

Success (200 OK)

json
{
  "success": true,
  "app": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "organization_id": "cf2701f8-fc4d-4002-8d52-92dd0d1e82a7",
    "name": "My App",
    "description": "My awesome app",
    "app_store_url": null,
    "play_store_url": null,
    "website_url": "https://example.com",
    "engagement_platform": "none",
    "engagement_credentials": null,
    "api_key": "ak_abc123...",
    "api_secret": "as_...",
    "created_at": "2026-05-16T20:14:48.939Z",
    "updated_at": "2026-05-16T20:14:48.939Z",
    "platform": "web",
    "bundle_id": null,
    "environment": "production",
    "data_retention_days": 365,
    "timezone": "UTC",
    "features": {
      "push": true,
      "analytics": true,
      "audiences": true,
      "ai_insights": true
    },
    "status": "active",
    "context_info": null,
    "url_context": null,
    "email_platform": "none",
    "email_credentials": null,
    "cached_user_count": 0,
    "cached_event_count": 0,
    "cached_last_event": null,
    "stats_last_updated": "2026-05-16T20:14:50.519Z",
    "webhook_url": null,
    "webhook_enabled": false,
    "webhook_use_query_params": false,
    "authorized_domains": []
  }
}

Error (404 Not Found)

json
{
  "error": "App not found"
}

Examples

Get App Details (cURL)

bash
curl -X GET https://api.appizer.com/v1/apps/550e8400-e29b-41d4-a716-446655440000 \
  -H "X-API-Key: apps_your_api_key"

Get App with JavaScript/Node.js

javascript
const apiKey = 'apps_your_api_key';
const appId = '550e8400-e29b-41d4-a716-446655440000';

  const response = await fetch(`https://api.appizer.com/v1/apps/${appId}`, {
  method: 'GET',
  headers: {
    'X-API-Key': apiKey
  }
});

const result = await response.json();

if (result.success) {
  const app = result.app;
  console.log(`App: ${app.name}`);
  console.log(`Description: ${app.description}`);
  console.log(`API Key: ${app.api_key}`);
  console.log(`Created: ${app.created_at}`);
} else {
  console.error(`Error: ${result.error}`);
}

Get App with Python

python

api_key = 'apps_your_api_key'
app_id = '550e8400-e29b-41d4-a716-446655440000'

headers = {
    'X-API-Key': api_key
}

response = requests.get(
    f'https://api.appizer.com/v1/apps/{app_id}',
    headers=headers
)

result = response.json()

if result.get('success'):
    app = result['app']
    print(f"App Name: {app['name']}")
    print(f"Timezone: {app['timezone']}")
    print(f"Data Retention: {app['data_retention_days']} days")
    print(f"Webhook Enabled: {app['webhook_enabled']}")
else:
    print(f"Error: {result.get('error')}")

Next Steps

  1. Update this app's configuration
  2. List all your apps
  3. Delete this app
On this page